// Kingdom of Kod
// ==============
// -Adventures of the heroes in the 'Manga Guide to Databases'

// -Filename: Named_3D.hpp
// -

#pragma once

#include "common_incls.hpp"

class Named_3D {
 public:
  Named_3D();

  /** @return the item's common name */
  auto name() const noexcept -> decltype(std::string{});

  /** @return the item's 3D position */
  auto posn() const noexcept -> decltype(Posn{});

 private:
  string name_;
  Posn   posn_;
};

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
