// Kingdom of Kod
// ==============
// -Adventures of the heroes in the 'Manga Guide to Databases'

// -Filename: Posn.hpp
// -

#include <iostream>

struct Posn {
  double x{0.0}, y{0.0}, z{0.0};

  /**
   * Posn insertion operator
   *
   * @param os [I/O] - is mutated by coordinates append
   * @param posn [I]
   * @return
   */
  friend std::ostream& operator<<(std::ostream& os, Posn const& posn) {
    os << ' ' << posn.x << ' ' << posn.y << ' ' << posn.z << ' ';
    return os;
  }
};

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
